function getSheetStudentProgress() {
  output = {state:'init', debug:{}, error:{}}
  
  try {
    var sheet = SpreadsheetApp.openById(SHEET_ID).getSheetByName(
      SHEET_STUDENT_PROGRESS
    );
    return sheet;
  } catch (error) {
    output = {...output, error}
    console.log("getSheetStudentProgress error")
    console.log(output);
  }
}
